#!/bin/bash
SPECSYNC_DIR=$HOME/SpecSync.Mono

# SpecSync currently needs the file "libMonoPosixHelper.so" to be in the current
# folder. This is not required when running it via Mono.
# This limitation will be removed in the future.
echo Copy libMonoPosixHelper.so to the current folder
cp $SPECSYNC_DIR/libMonoPosixHelper.so .

echo Synchronize feature files within "Features" folder
# For this to work, the SpecSync configuration file (specysnc.json) has to 
# contain the following setting:
# {
#    ...
#    "local": {
#      "featureFileSource": {
#        "type": "stdIn"
#      }
#    },
#    ...
# }
# See more at http://speclink.me/specsyncosxlinux

find Features/ -name *.feature | $SPECSYNC_DIR/SpecSync4AzureDevOps push
# Alternatively, after intstalling the Mono runtime (http://www.mono-project.com/docs/getting-started/install/), the synchronization can also be invoked using
#   find Features/ -name *.feature | mono $SPECSYNC_DIR/Assemblies/SpecSync4AzureDevOps.exe push

# In case of synchronizing SpecFlow projects from Linux, you can skip the "find" 
# command and the related config setting. SpecSync will find the SpecFlow 
# project (.csproj) in the current folder.

echo Delete libMonoPosixHelper.so from the current folder
rm -f libMonoPosixHelper.so